<?php
    $postList = $this->posts;
    $brandUrl = $this->BrandUrl;
    $brandName = $this->BrandName;
    $total_photos = ($this->total_photos > 0) ? $this->total_photos : '';
    $total_albums = ($this->total_albums > 0) ? $this->total_albums : '';
    $total_videos = ($this->total_videos > 0) ? $this->total_videos : '';
    $albumID = $this->albumID;
    
    $action = (isset($this->action) && !empty($this->action)) ? $this->action : ''; 
    $editAlbum = (isset($this->editAlbum) && !empty($this->editAlbum)) ? $this->editAlbum : array(); 
    
    $editUploadImages = array();
    $is_image = 0;
    if($action == 'edit' && !empty($editAlbum))
    {
        $editImages = (!empty($editAlbum->postImageData)) ? json_decode($editAlbum->postImageData) : array();
        if(!empty($editImages))
        {
            foreach($editImages as $editImage)
            {
                $editUploadImages[] = $editImage->url;
            }
            $is_image = true;
        }
    }

?>
<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('add-post-image', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body'));
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>
<div class="col-md-12 col-sm-12">
    <div class="albumsMenu">
        <ul>
            <li>
                <a data-target-segment="gallery" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'gallery']) ?>">
                    <span>All Photos</span> <span class="badge"><?php echo $total_photos; ?></span>
                </a>
            </li>
            <li class="active">
                <a data-target-segment="album" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'album']) ?>">
                    <span>Albums</span> <span class="badge"><?php echo $total_albums; ?></span>
                </a>
            </li>
            <li>
                <a data-target-segment="video" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'video']) ?>">
                    <span>Videos</span> <span class="badge"><?php echo $total_videos; ?></span>
                </a>
            </li>
        </ul>
        <div class="clear"></div>
    </div>
</div>

<div class="col-md-12 col-sm-12">

    <?php if($albumID > 0){ ?>
        <!--Single Album Display-->
        
        <?php if($this->isBrandAdmin){ ?>
            <div id="addAlbum" class="editor-content" style="display:none;">
                <div id="newAlbum" class="newAlbum upload-photo">
                    <div class="alb-name">
                        <span>PHOTO</span>
                        <a href="javascript:void(0);" id="hidealbumagain" onclick="hideAddForm()"><i class="fa fa-remove lightBlue" aria-hidden="true"></i></a>
                    </div>
                    <textarea placeholder="Describe Photo" class="story-input-text"></textarea>
                    <div class="thumbs-slide top-border" id="photo-container" style="display: none;">
                        <div class="upload-image-list-photo-album editable small-image-section" data-type="photo-album"></div>
                        <div class="clear"></div>
                    </div>
                    
                    <div class="postPhoto">
                        <button class="postBtn" onclick="uploadImagePhotoAlbum('photo-album', 'album-edit');"><img src="/images/miniadd.png"> Add Photos</button>
                        <button class="postblueBtn" onclick="javascript: upoloadAlbumPhoto(<?php echo $albumID; ?>);">Post</button>
                        <div class="clear"></div>
                    </div>
                    <!-- end of the photo part, lets move to video -->
                </div>
                <div class="clear"></div>
            </div>
        <?php } ?>
        
        <div class="albums">
        <?php if($this->isBrandAdmin){ ?>
            <div class="col-md-4 col-sm-4" id="hidethealbum">
                <div class="album upload-photo-section">
                    <a href="javascript:void(0);" id="hidealbum" onclick="showAddForm()"></a>
                </div>
            </div>
        <?php } ?>

        <?php if(!empty($postList)){ ?>
            <?php 
                $i = 0; 
                $sliderPhotos = '';
            ?>
            <?php foreach($postList as $post){ ?>
                <?php 
                    $imageLists = json_decode($post->postImageData);
                    $dateTimestamp = $post->dateCreated;
                    $formattedTime = date("d-m-Y H:i", $dateTimestamp);
                    
                    if(!empty($imageLists))
                    {
                       foreach($imageLists as $imageList){ 
                ?>
                        <div class="col-md-4 col-sm-4">
                            <div class="album  image-frame cover-image">
                                <?php if($this->isBrandAdmin){ ?>
                                 <a href="<?php echo $this->url('delete-post', array('postId' => $post->id)); ?>" class="remove_image" onclick="removeAlbumImage($(this), <?php echo $post->id ?>, '<?php echo basename($imageList->url); ?>'); return false;">
                                    <img class="no-frame" src="/images/xcategory.png">
                                 </a>
                                 <?php } ?>
                                 <a class="photo_section_content" data-slide-to="<?php echo $i; ?>" data-postid="<?php echo $post->id ?>" href="#fs-photo-slider" onclick="loadOnPage(<?php echo $post->id; ?>)">
                                    <img class="img-responsive" data-target="#image-modal-full" data-toggle="modal" src="<?php echo $imageList->url; ?>">
                                </a>
                            </div>
                        </div>
                        
                        <?php 
                            $photoTitle = (isset($post->postTitle) && !empty($post->postTitle)) ? $post->postTitle : count($imageLists).' photos uploaded';
                            $loveCnt = ($post->loveCnt > 0) ? ' ('.$post->loveCnt.')' : '';
                            $loveText = 'Love'.$loveCnt;
                            $loveIconCls = 'fa-heart-o';
                            $loveOrNot = 1;
                            
                            if($post->loveOrNot == 1)
                            {
                                $loveText = 'Loved!'.$loveCnt;
                                $loveIconCls = 'fa-heart';
                                $loveOrNot = 0;
                            }
                            
                            $PhotCpation = (isset($postImage->caption) && $postImage->caption != "") ? '<p>'.$postImage->caption.'</p>' : $post->postContent;
                            
                            $act = '';
                        if($i == 0)
                        {
                            $act = 'active';
                        }
                        $imgName = basename($imageList->url);
                                                    
                            $sliderPhotos .= '<div class="item '.$act.'" data-index="'.$i.'" data-postid="'.$post->id.'">
                                                    <img src="'.$imageList->url.'" class="img-responsive">
                                                    <input type="hidden" id="photoTitle_'.$i.'" value="'.$photoTitle.'"/>
                                                    <input type="hidden" id="photoCaption_'.$i.'" value="'.$PhotCpation.'"/>
                                                    <input type="hidden" id="photoLoveCnt_'.$i.'" value="'.$post->loveCnt.'"/>
                                                    <input type="hidden" id="photoLove_'.$i.'" value="'.$post->loveOrNot.'"/>
                                                    <input type="hidden" id="photoDateStamp_'.$i.'" value="'.$dateTimestamp.'"/>
                                                    <input type="hidden" id="photoDateFormate_'.$i.'" value="'.$formattedTime.'"/>
                                                    <input type="hidden" id="photoCommenstCnt_'.$i.'" value="'.$post->commentsCnt.'"/>
                                                </div>';
                            
                            $i++;
                        ?>
                        
                    <?php } ?>
                <?php } ?>
            <?php } ?>
        <?php } ?>

        <div class="clear"></div>
        <!-- end of albums is here -->
    </div>
        
        
    <?php }else{ ?>
        <!--All Album-->
        
        <?php if($this->isBrandAdmin){ ?>
            <div id="addAlbum" class="editor-content" style="display:none;">
                <div id="newAlbum" class="newAlbum photo-album">
                    <div class="alb-name">
                        <span>ALBUM</span>
                        <a href="javascript:void(0);" id="hidealbumagain" onclick="hideAddForm()"><i class="fa fa-remove lightBlue" aria-hidden="true"></i></a>
                    </div>
                    <input type="text" name="album-title" class="alb-title story-title story-input-title" placeholder="Album Title">            
                    <textarea placeholder="Describe Album" class="story-input-text"></textarea>

                    <div class="thumbs-slide top-border" id="photo-container" style="display: none;">
                        <div class="upload-image-list-photo-album editable small-image-section" data-type="photo-album"></div>
                        <div class="upload-photo-box" onclick="uploadImage('photo-album');">
                            <img src="/images/miniadd.png"> Add Photos
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="postPhoto">
                        <button class="postBtn" onclick="uploadImage('photo-album');"><img src="/images/miniadd.png"> Add Photos</button>
                        <button class="postblueBtn" onclick="postStory('photo-album', 'photo', true)">Post</button>
                        <div class="clear"></div>
                    </div>
                    <!-- end of the photo part, lets move to video -->
                </div>
                <div class="clear"></div>
            </div>
            
            <div id="editAlbum" class="editor-content" style="display:<?php echo ($action == 'edit') ? '' : 'none'; ?>;">
                <?php if($action == 'edit'){ ?>
                <div id="newAlbum" class="newAlbum photo-album">
                    <div class="alb-name">
                        <span>ALBUM</span>
                        <a href="javascript:void(0);" id="hidealbumagain" onclick="cancelEditAlbum(<?php echo $editAlbum->id; ?>, <?php echo $is_image; ?>);"><i class="fa fa-remove lightBlue" aria-hidden="true"></i></a>
                    </div>
                    <input id="edit_post_title_<?php echo $editAlbum->id; ?>" type="text" name="album-title" class="alb-title story-title story-input-title" placeholder="Album Title" value="<?php echo $editAlbum->postTitle; ?>">            
                    <textarea id="edit_post_content_<?php echo $editAlbum->id; ?>" placeholder="Describe Album" class="story-input-text"><?php echo $editAlbum->postContent; ?></textarea>

                    <div class="thumbs-slide top-border" id="photo-container">
                        <div class="upload-image-list-photo-album editable small-image-section" data-type="photo-album"></div>
                        <div class="upload-photo-box" onclick="uploadImage('photo-album');">
                            <img src="/images/miniadd.png"> Add Photos
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="postPhoto">
                        <button class="postBtn" onclick="uploadImage('photo-album');"><img src="/images/miniadd.png"> Add Photos</button>
                        <button class="postblueBtn" onclick="editPostStory(<?php echo $editAlbum->id; ?>, 0, 'photo-album', true);">Post</button>
                        <button class="hideBtnCategory" onclick="cancelEditAlbum(<?php echo $editAlbum->id; ?>, <?php echo $is_image; ?>);" style="margin: 17px 0;">Cancel</button>
                        <input type="hidden" name="hdnEditAlbumImages" id="hdnEditAlbumImages" value='<?php echo json_encode($editUploadImages); ?>'>
                        <input type="hidden" name="hdnPostType" id="hdnPostType" value="<?php echo $editAlbum->postType; ?>">
                        <div class="clear"></div>
                    </div>
                    <!-- end of the photo part, lets move to video -->
                </div>
                <div class="clear"></div>
                <?php } ?>
            </div>
            
        <?php } ?>
        
        <div class="albums">
            <?php $cnt = 1; if($this->isBrandAdmin){ $cnt++; ?>
                <div class="col-md-4 col-sm-4">
                    <div class="album create-album">
                        <a href="javascript:void(0);" id="hidealbum" onclick="showAddForm()"></a>
                    </div>
                </div>
                <?php } ?>

            <?php if(!empty($postList)){ ?>
                <?php foreach($postList as $post){ ?>
                    <?php 
                        $photoCnt = json_decode($post->postImageData);
                        $firstImage = '';
                        if(!empty($photoCnt))
                        {
                            foreach($photoCnt as $photo)
                            {
                                $firstImage = $photo->url;
                                break;
                            }
                        }
                    ?>
                    <div class="col-md-4 col-sm-4">
                        <div class="album">
                            
                            <?php if($this->isBrandAdmin){ ?>
                                <li class="olovka dropdown">
                                    <a aria-expanded="true" aria-haspopup="true" role="button" href="#" data-toggle="dropdown" class="dropdown-toggle">
                                        <i aria-hidden="true" class="fa fa-pencil"></i>
                                    </a>
                                    <ul class="dropdown-menu aboutPopup">
                                        <div class="aboutPop">
                                            <ul>
                                                <li>
                                                    <a data-postid="<?php echo $post->id; ?>" onclick="feed.navigateToSegment('album', 'edit', <?php echo $post->id; ?>); return false;" href="javascript:void(0);">
                                                        <img class="no-frame" src="/images/pen.png"><span>Edit</span>
                                                    </a>
                                                </li>

                                                <li>
                                                    <a data-postid="<?php echo $post->id; ?>" onclick="deleteAlbum($(this)); return false;" href="<?php echo $this->url('delete-post', array('postId' => $post->id)); ?>" data-name="<?php echo basename($imageList->url); ?>">
                                                        <img class="no-frame" src="/images/trash.png"><span>Delete</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </ul>
                                </li>
                            <?php } ?>
                            
                            <a href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'album', 'param1' => $post->id]) ?>">
                                <?php if(!empty($firstImage)){ ?>
                                    <img src="<?php echo $firstImage; ?>" alt="">
                                    <?php } ?>
                                <div class="album-options">
                                    <div class="album-name">
                                        <span><?php echo $post->postTitle; ?></span>
                                    </div>
                                    <div class="album-amount">
                                        <span><?php echo count($photoCnt); ?> photos</span>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </div>
                    <?php $cnt++; } ?>
                    
                    <?php 
                        for($j = $cnt; $j <= 6; $j++)
                        {
                            ?>
                                <div class="col-md-4 col-sm-4">
                                    <div class="album album-placeholder"></div>
                                </div>
                            <?php
                        }
                    ?>
                    
                <?php } ?>

            <div class="clear"></div>
            <!-- end of albums is here -->
        </div>
    <?php } ?>
</div>


<!-- Modal -->
<div aria-hidden="true" role="dialog" tabindex="-1" class="modal fade image-slider-popup fs-slider" id="image-modal-full">
    <div class="modal-container">
        <div class="contents fs-container">

            <header class="fs_modal_header">
                <div class="header-container">
                    <div class="img-container">
                        <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
                    </div>

                    <div class="header-title-container">
                        <h3><?= $brand->name; ?></h3>
                        <div class="header-meta">
                            <span>Love a Brand</span>
                            <span>&bull;</span>
                            <span>In</span>
                            <span>&bull;</span>
                            <a href="javascript:void(0);">Our Stories</a>
                        </div>
                    </div>


                    <div class="header-right">
                        <!--<a class="navbar-toggle collapsed" href="javascript:void(0);" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                            <span class="sr-only">Toggle navigation</span>
                            <i class="fa fa-bars" aria-hidden="true"></i>
                        </a>-->
<!--                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">-->
                        <div class="photo-meta">
<!--                            <ul class="nav navbar-nav">-->
                            <ul>
                                <li class="fs_slider_love_conainer">
                                </li>
                                <li class="fs_slider_comments_count">
                                    <a href="javascript:void(0);" data-postid="0" class="fs-comment-btn" onclick="fs_comment_box(this);">
                                        <i class="fa fa-comment" aria-hidden="true"></i> Comment <span></span>
                                    </a>
                                </li>
                                <li>
                                    <div class="sharing_content">
                                        <div class="social_sharing">
                                            <ul>
                                                <li>
                                                    <a onclick="javascript:socialShareModule('fb');" href="javascript:void(0);">
                                                        <img src="/images/social_icon/Facebook.png" class="img-responsive">
                                                    </a>
                                                </li>
                                                <li>
                                                    <a onclick="javascript:socialShareModule('twitter');" href="javascript:void(0);">
                                                        <img src="/images/social_icon/Twitter.png" class="img-responsive">
                                                    </a>
                                                </li>
                                                <li>
                                                    <a onclick="javascript:socialShareModule('email');" href="javascript:void(0);">
                                                        <img src="/images/social_icon/Email.png" class="img-responsive">
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                        <a href="javascript:void(0);">
                                            <i class="fa fa-share-alt" aria-hidden="true"></i> Share <span></span>
                                        </a>
                                    </div>
                                    <!--<a href="javascript:void(0);">
                                        <i class="fa fa-share-alt" aria-hidden="true"></i> Share <span></span>
                                    </a>-->
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="header-close">
                        <button data-dismiss="modal" class="close" type="button"><img src="/images/full-exit.png"></button>
                    </div>
                </div>

            </header>

            <div class="modal-body">
                <div class="">

                    <div data-interval="false" data-ride="carousel" class="carousel slide carousel-fade" id="fs-photo-slider">

                        <!-- Wrapper for slides -->
                        <div class="carousel-inner">
                            <?php echo $sliderPhotos; ?>
                        </div>


                    </div>

                </div>

                <!-- Controls -->
                <a data-slide="prev" role="button" href="#fs-photo-slider" class="left carousel-control">
                    <i class="fa fa-chevron-left" aria-hidden="true"></i>
                </a>
                <a data-slide="next" role="button" href="#fs-photo-slider" class="right carousel-control">
                    <i class="fa fa-chevron-right"></i>
                </a>
            </div>

            <aside class="aside_panel">
                <div class="description_container">
                    <header class="comment_header">
                        <div class="col-md-9 col-xs-9 col-sm-9 fs-aside-title nopadding">
                            <h4></h4>
                        </div>
                        <div class="col-md-3 col-xs-3 col-sm-3 fs-time-ago nopadding">
                            <small></small>
                        </div>
                    </header>

                    <div class="fs-aside-description fancySccroll">
                    </div>
                </div>

                <div class="comments_container">
                    <h3>Comments</h3>
                    <div class="comment-box-container">
                        <div class="comments-box comment-section">
                            <ol></ol>
                        </div>
                    </div>

                    <div class="comments-form">
                        <div class="comments-textarea">
                            <div class="previous_comments" style="display: <?php echo $show; ?>;">
                                <a href="javascript:void(0);" onclick="postButton('allcomments', <?php echo $post->id; ?>); return false;">Show Previews Comments</a>
                            </div>
                            <textarea class="textarea-scrollbar scrollbar-outer form-control comment-box-text"></textarea>
                            <input type="hidden" name="hdnCommentID" class="comment_id" value="">
                        </div>
                        <div class="comments-form-footer">
                            <div class="col-md-8 col-xs-8 col-sm-8 nopadding comment-text">
                                <!--There Are <span>0</span> Comments-->
                            </div>
                            <div class="col-md-4 col-xs-4 col-sm-4 comment-btn-contaiber nopadding text-right">
                                <button type="button" data-postid="0" onclick="javascript: popupSubmitComments(this);" class="btn-comment-submit">COMMENT</button>
                            </div>
                        </div>
                    </div>

                </div>

            </aside>
        </div>
    </div>
</div>

<link href="/css/fullSlider.css" rel="stylesheet">


<script type="text/javascript">
    var UploadedImagesListSelPhotoAlbum = '.upload-image-list-photo-album';
    window.onGloabalJS.push(function() {
        window.uploadImageSetStoragePhotoAlbum = window.persistentVariablePhotoAlbum("uploadImageSetPhotoAlbum", new window.ImageSetPhotoAlbum([], UploadedImagesListSelPhotoAlbum));
        if(window.uploadImageSetStoragePhotoAlbum.get().type !== 'ImageSet') {
            window.uploadImageSetStoragePhotoAlbum.set(new window.ImageSetPhotoAlbum([], UploadedImagesListSelPhotoAlbum));
        }
        console.log("uploadImageSetPhotoAlbum = ", window.uploadImageSetStoragePhotoAlbum, window.uploadImageSetStoragePhotoAlbum.get());
    });

    function uploadImageToEditorPhotoAlbum(img) {
        console.log(img);
        console.log('Photo Album');
        var uploadType = $('#hdnAlbumUploadType').val();
        uploadType = (uploadType != "") ? uploadType : 'normal';

        var imageSetPhotoAlbum = uploadImageSetStoragePhotoAlbum.get();
        imageSetPhotoAlbum.addImages([img]);
        imageSetPhotoAlbum.addUploadType(uploadType);
        window.uploadImageSetStoragePhotoAlbum.set(imageSetPhotoAlbum);
    }

    function removePhotoAlbumImageClicked(el, type) {
        var $container = $(el).parent('.photo_container').children('.photo-image-container');
        var $img = $('img', $container);
        var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
        function(response) {
            if(response) {
                removeImage($img.attr('src'), type);
            }
        }, "Delete", "Cancel");
    }

    function uploadImagePhotoAlbum(type, upload_type) {
        var handelClass = '.upload-image-list-'+type;
        console.log(handelClass);
        UploadedImagesListSelPhotoAlbum = handelClass;

        /*if(type == 'photo-album')
        {*/
        window.imageSubmittedCallback = uploadImageToEditorPhotoAlbum;
        upload_type = (upload_type == "") ? 'normal' : upload_type;
        /*        $('#hdnAlbumUploadType').val(upload_type);*/
        /*}*/
        $("#editorImageSubmitter").click();
    }

    function removeImageClicked(el, type) {
        var $container = $(el).closest('.img-container');
        var $img = $('img', $container);
        var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
        function(response) {
            if(response) {
                removeImage($img.attr('src'), type);
            }
        }, "Delete", "Cancel");
    }

    function uploadImage(type) {
        var handelClass = '.upload-image-list-'+type;
        console.log(handelClass);
        UploadedimagesListSel = handelClass;

        window.imageSubmittedCallback = uploadImageToEditorPhotoAlbum;

        $("#editorImageSubmitter").click();
    }

    function removeImage(img, type) {
        var imageSet = window.uploadImageSetStoragePhotoAlbum.get();
        imageSet.removeImages([img]);
        window.uploadImageSetStoragePhotoAlbum.set(imageSet);

        if($('.upload-image-list-photo-album .img-container').length == 0)
            {
            $('#photo-container').removeClass('top-border');
        }
    }

    /** ---------------------------------------------------------------- **/

    function showAddForm()
    {
        $('#addAlbum').slideDown('slow', function(){
            //$('#hidethealbum').hide();
            $('#editAlbum').hide();
            $('#editAlbum').html('');
            var imgs = window.uploadImageSetStoragePhotoAlbum.get();
            imgs.images = [];
            imgs.imagesChanged();
            window.uploadImageSetStoragePhotoAlbum.set(imgs);
        });

        $('html,body').animate({
            scrollTop: $('#addAlbum').offset().top},
        'slow');
    }

    function hideAddForm()
    {
        $('#addAlbum').slideUp('slow', function(){
            //$('#hidethealbum').show();
        });
    }

    window.onload = function() {
        $(document).on('mouseover', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img class="x-image" src="/images/x.png"></button></div>');
                }
            }
        });
        
    }
    
    /** ---------------------------------------------------------------- **/

function showAddForm()
{
    $('#addAlbum').slideDown('slow', function(){
        $('#hidethealbum').hide();
    });
    
    $('html,body').animate({
        scrollTop: $('#addAlbum').offset().top},
    'slow');
}

function hideAddForm()
{
    $('#addAlbum').slideUp('slow', function(){
        $('#hidethealbum').show();
    });
}

window.onload = function() {
    $(document).on('mouseover', '.small-image-section .img-container', function(e) {
        e.preventDefault();
        var $this = $(this);
        var $panel = $('.img-panel', $this);
        if($panel.closest('.small-image-section').hasClass('editable')) {
            var type = $panel.closest('.small-image-section').data('type');
            $panel.toggleClass('active');
            if($panel.hasClass('active')) {
                $('.img-panel', $this.parent().parent()).removeClass('active');
                $panel.addClass('active');
            }
            if ($panel.hasClass('new')) {
                $panel.removeClass('new');
                $panel.html('<div class="buttons"><button onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img class="x-image" src="/images/x.png"></button></div>');
            }
        }
    });
}

function getCommentsHTML(c, html, isPopup)
{
    html += '<li id="post-comment-'+c.id+'" class="comment-entity comment '+(c.public?'':'not-approved')+'">';
        html += '<div class="content">';
            html += '<div class="comment-body">';
                var iniCls = '';
                var imgHtml = '';
                if(c.userAvatar == '')
                {
                    iniCls = 'initial-image';
                    imgHtml = '<span>'+c.userInitails+'</span>';
                }
                else
                {
                    imgHtml = '<img src="'+c.userAvatar+'" alt="'+htmlspecialchars(c.name)+'">';
                }
                html += '<a class="image xsmall-image '+iniCls+'">';
                    html += imgHtml;
                html += '</a>';
                html += '<div class="header ">';
                    html += '<div data-block="meta" class="meta <?php if(!$this->isBrandAdmin){ ?>nohover<?php } ?>">  ';
                        //html += '<span class="timestamp">'+c.datePosted+'</span>';
                        html += '<span data-timestamp="'+c.date+'" data-timestamp-format="short"></span>';
                    html += '</div>';
                    
                    <?php if($this->isBrandAdmin){ ?>
                    html += '<div class="meta-actions dropdown">';
                        html += '<a aria-expanded="true" aria-haspopup="true" role="button" href="#" data-toggle="dropdown" class="dropdown-toggle">';
                            html += '<i class="fa fa-ellipsis-h" aria-hidden="true"></i>';
                        html += '</a>';
                        html += '<ul class="dropdown-menu aboutPopup">';
                            html += '<div class="aboutPop">';
                                html += '<ul>';
                                    html += '<li>';
                                        var onclickEdit = "commentButton('edit', "+c.id+"); return false;";
                                        var onclickDelete = "commentButton('delete', "+c.id+"); return false;";
                                        if(isPopup)
                                        {
                                            onclickEdit = 'editCommentPopup('+c.id+', '+c.postId+'); return false;';
                                            onclickDelete = 'deleteCommentPopup('+c.id+', '+c.postId+'); return false;';
                                        }
                                        html += '<a onclick="'+onclickEdit+'" href="javascript:void(0);">';
                                            html += '<img src="/images/pen.png"><span>Edit</span>';
                                        html += '</a>';
                                    html += '</li>';
                                    html += '<li>';
                                        html += '<a href="javascript:void(0);" onclick="'+onclickDelete+'">';
                                            html += '<img src="/images/trash.png"><span>Delete</span>';
                                        html += '</a>';
                                    html += '</li>';
                                html += '</ul>';
                            html += '</div>';
                        html += '</ul>';
                    html += '</div>';
                    <?php } ?>
                    
                    html += '<h4 class="sub-headline">';
                        html += '<a class="name" href="javascript:void(0);">'+htmlspecialchars(c.name)+'</a>';
                    html += '</h4>';
                html += '</div>';

                html += '<div class="text-entity">';
                    html += '<p>'+htmlspecialchars(c.text)+'</p>';
                html += '</div>';

            html += '</div>';
        html += '</div>';
    html += '</li>';

    return html;
}

function socialShare(type, url, title, descr, image, winWidth, winHeight, via) {
    var winTop = (screen.height / 2) - (winHeight / 2);
    var winLeft = (screen.width / 2) - (winWidth / 2);
    if(type == 'fb')
    {
        var shareURL = 'http://www.facebook.com/sharer.php?s=100&p[title]=' + title + '&p[summary]=' + descr + '&p[url]=' + url + '&p[images][0]=' + image;
    }
    else
    {
        var shareVia = (typeof via != "undefined") ? '&via=' + via : '';
        var shareURL = 'https://twitter.com/intent/tweet/?text=' + title + '&url=' + url + shareVia;
    }
    window.open(shareURL, 'sharer', 'top=' + winTop + ',left=' + winLeft + ',toolbar=0,status=0,width=' + winWidth + ',height=' + winHeight);
}

/** SLIDER JS **/
function getSliderPostData(postId, currentIndex)
{
    var postTitle  = $('#photoTitle_'+currentIndex).val();
    $('#image-modal-full .fs-aside-title h4').html(postTitle);
    
    $('#image-modal-full .fs-aside-description').html($('#photoCaption_'+currentIndex).val());
    $('#image-modal-full .comment_header .fs-time-ago small').html(formatAgoTime($('#photoDateStamp_'+currentIndex).val()));
    var commentsCnt = ($('#photoCommenstCnt_'+currentIndex).val() > 0) ? $('#photoCommenstCnt_'+currentIndex).val() : '';
    $('#image-modal-full .fs_modal_header .fs_slider_comments_count span').html(commentsCnt);
    $('#image-modal-full .fs_modal_header .fs_slider_comments_count .fs-comment-btn').attr('data-postid', postId);
    $('#image-modal-full .comment-btn-contaiber .btn-comment-submit').attr('data-postid', postId);
    
    var love = $('#photoLove_'+currentIndex).val();
    var loveCnt = $('#photoLoveCnt_'+currentIndex).val();
    
    var dispCnt = (loveCnt > 0) ? loveCnt : '';
    
    var loveTitle = 'Love';
    var loved = 1;
    var colorCls = '';
    if(love == 1)
    {
        loveTitle = 'Loved!';
        loved = 0;
        colorCls = 'color-blue';
    }
    
    var loveHTML = '<a href="javascript:void(0);" class="text-info '+colorCls+'" data-loved="'+loved+'" onclick="javascript: makeLovedPopup(this, '+postId+');">'+
                        '<i class="fa fa-heart" aria-hidden="true"></i>'+
                        loveTitle+
                        '<span>'+dispCnt+'</span>'+
                   '</a>';
    $('#image-modal-full .fs_modal_header .fs_slider_love_conainer').html(loveHTML);
    loadCommentsPopup(postId, 3);
}

function socialShareModule(type)
{
    var activeSlide = $('#image-modal-full #fs-photo-slider div.active');
    var share = activeSlide.find('img').attr('src');       
    
    if(type == 'email') 
    {
        window.location.href = "mailto:?subject=Share with your friends&body="+share;
    }
    else
    {
        socialShare(type, share, '', '', '', 520, 350);
    }
}

function loadCommentsPopup(postId, limit) {
        
    var $commentSection = $('.fs-slider .aside_panel .comments_container .comments-box');
    var $commentFrom = $('.fs-slider .aside_panel .comments_container .comments-form');
    $commentFrom.find('.previous_comments').hide();
    var loadingHTML = '<div class="no-comments-loading">Loading...</div>';
    $commentSection.children('ol').html(loadingHTML);
    var html = '';

    if(postId > 0)
    {
        window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {"limit": limit}, function (data) {

            loadedComments = data.comments;
            totalComments = data.totalComments;

            /*loadedComments.sort(function (a, b) {
                return b.datePosted - a.datePosted;
            });*/
            loadedComments.sort(function (a, b) {
                return a.id - b.id;
            });

            for(var k in loadedComments) {
                if(!loadedComments.hasOwnProperty(k)) {continue;}
                var c = loadedComments[k];

                var author = htmlspecialchars(c.name);
                var authorAvatar = c.userAvatar;
                var buttons = '';

                <?php if($this->userCanEditBrand) { ?>
                if(c.public) {
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+postId+'); return false;"><i class="icon-close"></i></a>   ';
                }else{
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+postId+'); return false;"><i class="icon-close"></i> Reject</a>   '+
                            '<a class="pull-right" href="#" onclick="commentButtonPopup(\'approve\', '+c.id+', '+postId+'); return false;"><i class="icon-checkmark"></i> Approve</a>';

                }

                <?php } ?>

                /*html +=
                    '<div id="post-comment-'+c.id+'" class="post-comment '+(c.public?'':'not-approved')+'"> ' +
                    '    <div class="post-comment-meta">   ' +
                    '    By ' + author + ' - <span data-date="'+ c.datePosted +'"></span> ' +
                    buttons +
                    '    </div> ' +
                    '    <div class="post-comment-content">' +htmlspecialchars(c.text)+ '</div> ' +
                    '</div>';*/
                
                html = getCommentsHTML(c, html, true);
                
                /*html += '<div id="post-comment-'+c.id+'" class="comments '+(c.public?'':'not-approved')+'">'+
                        '   <a class="comments-thumb thumb_small" style="background-image: url(\''+authorAvatar+'\');"></a>'+
                        '   <div class="comments-content">'+
                        '       <div class="col-md-12 nopadding">'+
                        '           <div class="col-md-8 col-xs-8 col-sm-8 nopadding">'+
                        '               <h5 class="comments-name">'+author+'</h5>'+
                        '           </div>'+
                        '           <div class="col-md-4 col-xs-4 col-sm-4 nopadding fs-time-ago">'+
                        '               <small data-date="'+ c.datePosted +'"></small>'+
                        '           </div>'+
                        '       </div>'+
                        '       <div class="comment-meta">'+
                        '           <span>Love a Brand</span>'+
                        '           <span>&bull;</span>'+
                        '           <span>In</span>'+
                        '           <span>&bull;</span>'+
                        '           <a href="javascript:void(0);">Our Stories</a>'+
                        '       </div>'+
                        '       <div class="col-md-12 nopadding comments-text">'+
                                    htmlspecialchars(c.text)+
                        '       </div>'+
                        '   </div>'+
                        '</div>';*/
                
            }
            
    /*            $(".aside_panel .comments_container .comments-box").mCustomScrollbar("destroy");*/
    /*            $(".aside_panel .description_container .fancySccroll").mCustomScrollbar("destroy");*/
            
            $commentSection.children('ol').html(html);
            $commentSection.children('ol').show();
            
            if(totalComments > 3 && limit != "all")
            {
                $commentFrom.find('.previous_comments').show();
            }
            else
            {
                $commentFrom.find('.previous_comments').hide();
            }
            
/*            calculateDates();*/
            if($commentSection.children('.comments').length == 0)
            {
                //$commentSection.hide();
                $('.aside_panel .comments_container .comments-form .comments-form-footer .comment-text span').html(0);
            }
            else
            {
                $('.aside_panel .comments_container .comments-form .comments-form-footer .comment-text span').html(totalComments);
                $commentSection.show();
            }

            
        }, function(serverside, message) {
        console.log("Comment loading error", serverside, message);
        $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
    });
    }   
    }

function commentButtonPopup(action, commentId, postId, index) {
    console.log(postId);
    console.log(index);
    var el = document.getElementById("post-comment-" + commentId);
    if(!el) {
        console.warn("commentButton called on nonexistent comment id!", commentId);
        return false;
    }
    var actionFn = commentActionsPopup[action];
    if(!actionFn) {
        console.warn("commentButton called with unknown action!", action);
        return false;
    }
    var $el = $(el);
    return actionFn($el, commentId, postId, index);
}

function makeLovedPopup(obj, postId)
{
    var loved = $(obj).data('loved');
        
    var url = "<?= $this->url("post-love", ['postId' => 'POSTID', 'loveOrNot' => 'LOVED']) ?>".replace(/POSTID/, postId).replace(/LOVED/, loved);

    ajaxSubmitCheck(url, {}, function (data) {

        if(data.status == 'ok')
        {
            var loveCnt = (data.loveCount > 0) ? '('+data.loveCount+')' : '';
            var dispCnt = (data.loveCount > 0) ? data.loveCount : '';
            var loveTitle = 'Love';
            var data_loved = 1;
            var myLoved = 0;
            if(data.is_love)
            {
                /*$(obj).children('span').text('Loved! '+loveCnt);
                $(obj).data('loved', 0);
                $(obj).children('i').removeClass('fa-heart-o').addClass('fa-heart');*/
                loveTitle = 'Loved!';
                data_loved = 0;
                myLoved = 1;
            }
            else
            {
                /*$(obj).children('span').text('Love '+loveCnt);
                $(obj).data('loved', 1);
                $(obj).children('i').removeClass('fa-heart').addClass('fa-heart-o');*/
            }
            var loveHTML = '<a href="javascript:void(0);" class="text-info" data-loved="'+data_loved+'" onclick="javascript: makeLovedPopup(this, '+postId+');">'+
                        '<i class="fa fa-heart" aria-hidden="true"></i>'+
                        loveTitle+
                        '<span>'+dispCnt+'</span>'+
                   '</a>';
            $('.fs_slider_love_conainer').html(loveHTML);
            var curIndex = $('#image-modal-full #fs-photo-slider .carousel-inner .item.active').data('index');
            $('#photoLoveCnt_'+curIndex).val(dispCnt);
            $('#photoLove_'+curIndex).val(myLoved);
        }
        else
        {
             labAlert(data.status);
        }
    }, 'Sorry, an error has occured. \n%s');
}

function popupSubmitComments(obj)
{
    var postID = $(obj).attr('data-postid');
    
    var url = "<?= $this->url("post-comment", ['postId' => 'POSTID']) ?>".replace(/POSTID/, postID);
    
        //var postAs = $('#commentPostAs').val();
        //if (!postAs) postAs = 'user';
        var postAs = 'user';
        var $post = $('#image-modal-full');
        $commentForm = $('.comments-form', $post);
    
/*        var $commentSection = $('.aside_panel .comments_container .comments-form .comments-textarea');*/
        var $commentSection = $commentInput = $commentForm.find('.comments-textarea .comment-box-text');

/*        var $commentInput = $commentSection.find('textarea.comment-box-text');*/
        var postContent = $commentSection.val().trim();
        
        var $comment_id = $commentForm.find('.comment_id');
        var postCommentID = $comment_id.val().trim();
/*console.log($commentInput);*/
        if(postContent.length < 1) {
            $commentSection.focus();
            return;
        }

        $commentInput.val('');

        ajaxSubmitCheck(url, {
            text: postContent,
            comment_id: postCommentID,
            postAs: postAs

        }, function (data) {
            $commentInput.val('');
/*                $commentInput.val('Thank you!\n\nYour comment has been submitted and will be reviewed by an administrator.');*/
            $commentInput.css({backgroundColor: '#e9f7e8', color: '#555'});
            $commentInput.keyup(); // for autosize

            $commentInput.one( "click", function() {
                var $this = $(this);
                $this.val('');
                $this.css({backgroundColor: 'white', color: '#111'});
            });
            $(obj).html("COMMENT");
            $comment_id.val("");
            loadCommentsPopup(postID, 3);
        }, 'Sorry, an error has occured while posting your comment. \n%s');
}

var fCommentURL = function (id, action) {
    return "<?= $this->url('manage-comment', ['commentId' => 'COMMENTID', 'action' => 'ACTION']) ?>"
        .replace('COMMENTID', id).replace('ACTION', action);
};

function deleteCommentPopup(commentID, postId)
{
    labConfirm('Are you sure that you want to delete this comment?', 'Are you sure?', function(response) {            
        if(response) {
            window.ajaxSubmitCheck(fCommentURL(commentID, 'rejectComment'), {}, function() {
                loadCommentsPopup(postId, 3);
            }, "The comment couldn't be hidden. %s");
        }
    }, "Delete");
}

function editCommentPopup(commentId, postId)
{
    var $post = $('#image-modal-full');
    $commentForm = $('.comments-form', $post);
    $comment = $('.comment-section ol', $post);
    $prvComment = $('.previous_comments', $post);
/*    alert($commentForm.length);*/
    window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {'commentId' : commentId}, function (data) {
        loadedComment = data.comments;
        //console.log(loadedComment);
        
        $commentForm.find('.comments-textarea .comment-box-text').val(loadedComment.content);
        $commentForm.find('.comments-textarea .comment_id').val(loadedComment.id);
        $commentForm.find('.comment-box-text').focus();
        $commentForm.find('.btn-comment-submit').html('Edit');
        $comment.slideUp(g_animationSpeed);
        $prvComment.hide();
        
    }, function(serverside, message) {
        console.log("Comment loading error", serverside, message);
        $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
    });
}

var _$comment_btn;
var _$aside_panel;
var _$content;
var aside_panel_showing = false;
var $container_viewer;
function loadOnPage(postId)
{
    $('#image-modal-'+postId).on('show.bs.modal', function (e) {
           var currentSlidePostId = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('postid');
           var currentIndex = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('index');
           getSliderPostDataStory(currentSlidePostId, currentIndex);
    });
        
    $('.fs-slider #fs-photo-slider-'+postId).on('slid.bs.carousel', function () {
        var currentSlidePostId = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('postid');
        var currentIndex = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('index');
        getSliderPostDataStory(currentSlidePostId, currentIndex);
    }); 
    
    $('#image-modal-full').on('show.bs.modal', function (e) {
           var currentSlidePostId = $('#image-modal-full #fs-photo-slider div.active').data('postid');
           var currentIndex = $('#image-modal-full #fs-photo-slider div.active').data('index');
           getSliderPostData(currentSlidePostId, currentIndex);
    });
    
    $('#image-modal-full #fs-photo-slider').on('slid.bs.carousel', function () {
        var currentSlidePostId = $('#image-modal-full #fs-photo-slider div.active').data('postid');
        var currentIndex = $('#image-modal-full #fs-photo-slider div.active').data('index');
        getSliderPostData(currentSlidePostId, currentIndex);
    });
    
    $container_viewer = $('.fs-slider');
    _$comment_btn = $container_viewer.find(".fs-comment-btn");
    _$aside_panel = $container_viewer.find(".aside_panel");
    _$content = $container_viewer.find(".fs-container"); 
    
    $('#image-modal-full').find('.fs_slider_comments_count .fs-comment-btn').trigger('click');
}
/*** END **/

function initAlbumTab()
{
    if($('#editAlbum #hdnEditAlbumImages').length > 0 && $('#editAlbum #hdnEditAlbumImages').val().trim() != "")
    {
        var editImages = $.parseJSON($('#editAlbum #hdnEditAlbumImages').val().trim());
        
        if(editImages.length > 0)
        {
            for(var i = 0; i < editImages.length; i++)
            {
                uploadImageToEditorPhotoAlbum(editImages[i]);
            }
        }
    }
    
    $(document).on('mouseover', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img class="x-image" src="/images/x.png"></button></div>');
                }
            }
        });
}

window.onFeedJS.push(initAlbumTab);
window.onFeedJS.push(function () {
    window.feed.onSegmentChanged.push(initAlbumTab);
});

function cancelEditAlbum(postId, is_image)
{
    if(is_image)
    {
        var imgs = window.uploadImageSetStoragePhotoAlbum.get();
        imgs.images = [];
        imgs.imagesChanged();
        window.uploadImageSetStoragePhotoAlbum.set(imgs);
    }
    
    /*$('#editAlbum').hide();
    $('#editAlbum').html('');*/
    feed.navigateToSegment('album');
}

function deleteAlbum($el, callback)
{
    labConfirm("Do you really want to delete this album?\nThis cannot be undone!", "Are you sure?", function(response) {
        if(response) {
            $el.blur();
            var image = $el.data('name');
            window.loadingIndicator($('body'));
            
            ajaxSubmit($el.attr('href'), {image : image}, function (data) {
            if (!data.status || data.status != "ok") {
                console.log("openAjaxLink error: ", data);
                $('.loading-indicator-background').remove();
                alert(data.status ? data.status : "An error has occurred, please try again.");
            } else {
                feed.navigateToSegment('album');
                $('.loading-indicator-background').remove();
            }
        });
        return false;
        }
    }, "Delete", "Cancel");
}

function removeAlbumImage($el, postId, img)
{
    labConfirm("Do you really want to delete this photo?\nThis cannot be undone!", "Are you sure?", function(response) {
        if(response) {
            $el.blur();
            window.loadingIndicator($('body'));
            
            ajaxSubmit($el.attr('href'), {image : img, album:1}, function (data) {
            if (!data.status || data.status != "ok") {
                console.log("openAjaxLink error: ", data);
                $('.loading-indicator-background').remove();
                alert(data.status ? data.status : "An error has occurred, please try again.");
            } else {
                feed.navigateToSegment('album', postId);
                $('.loading-indicator-background').remove();
            }
        });
        return false;
        }
    }, "Delete", "Cancel");
}
</script>